Bug 847211 - Wrong Log-File Error-Message
Wrong Log-File Error-Message
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.3.0
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: vpshastry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 01:53 EDT by Robert Resch
Modified: 2014-08-11 19:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:09:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Resch 2012-08-10 01:53:19 EDT
Description of problem:

When Mounting a Glusterfs-Volume from a Server where only Port 24007 is opened in the Firewall i get the wrong Error-Message that Port 24007 does a 'Connection refused'

Version-Release number of selected component (if applicable):

glusterfs.x86_64 3.3.0-1.el6
glusterfs-fuse.x86_64 3.3.0-1.el6

How reproducible:

Mount a Volume but only Port 24007 is opened in Firewall

Actual results:
Log-File:
[2012-08-09 16:34:24.736744] I [rpc-clnt.c:1660:rpc_clnt_reconfig] 0-volume1-client-0: changing port to 24009 (from 0)
[2012-08-09 16:34:24.737858] I [rpc-clnt.c:1660:rpc_clnt_reconfig] 0-volume1-client-1: changing port to 24009 (from 0)
[2012-08-09 16:34:28.723147] E [socket.c:1715:socket_connect_finish] 0-volume1-client-0: connection to 192.168.202.37:24007 failed (Connection refused)
[2012-08-09 16:34:28.727649] E [socket.c:1715:socket_connect_finish] 0-volume1-client-1: connection to 192.168.202.38:24007 failed (Connection refused)



Expected results:
Log-File:
[2012-08-09 16:34:24.736744] I [rpc-clnt.c:1660:rpc_clnt_reconfig] 0-volume1-client-0: changing port to 24009 (from 0)
[2012-08-09 16:34:24.737858] I [rpc-clnt.c:1660:rpc_clnt_reconfig] 0-volume1-client-1: changing port to 24009 (from 0)
[2012-08-09 16:34:28.723147] E [socket.c:1715:socket_connect_finish] 0-volume1-client-0: connection to 192.168.202.37:24009 failed (Connection refused)
[2012-08-09 16:34:28.727649] E [socket.c:1715:socket_connect_finish] 0-volume1-client-1: connection to 192.168.202.38:24009 failed (Connection refused)


Additional info:
There is the wrong port Information in Log File which makes debugging harder.

Note You need to log in before you can comment on or make changes to this bug.